Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
查詢紅包資訊
cURL
curl --request GET \ --url https://api.chainstream.io/v2/redpacket/{id} \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.chainstream.io/v2/redpacket/{id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.chainstream.io/v2/redpacket/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.chainstream.io/v2/redpacket/{id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.chainstream.io/v2/redpacket/{id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.chainstream.io/v2/redpacket/{id}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.chainstream.io/v2/redpacket/{id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "creator": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v", "id": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB", "maxClaims": 10, "mint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB", "totalAmount": "1000000000", "chain": "sol", "claimAuthority": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB", "claimedAmount": "500000000", "claimedCount": 5, "createdAt": 1717334400000, "expiration": 24, "expired": true, "expiredAt": 1717420800000, "memo": "Happy Red Packet", "refundedAmount": "0", "shareId": "abc123", "txHash": "5UfDuX7hXbL3mFfPdq1pymNHM..." }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
紅包標識
成功回應
Red packet detail
建立者錢包地址
"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"
"Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"
最大領取次數
10
代幣鑄造地址
紅包總金額
"1000000000"
紅包所在的區塊鏈網路
"sol"
領取授權地址
已領取金額
"500000000"
已領取次數
5
紅包建立時間戳
1717334400000
過期時間(秒)
24
紅包是否已提取
過期時間戳
1717420800000
紅包留言
"Happy Red Packet"
退款金額
"0"
分享標識
"abc123"
交易雜湊
"5UfDuX7hXbL3mFfPdq1pymNHM..."
這個頁面有幫助嗎?